Groovy 1.7.0

## groovy.swing.impl
Class DefaultAction

    java.lang.Object
      javax.swing.AbstractAction
          groovy.swing.impl.DefaultAction

    class DefaultAction
    extends AbstractAction

A default action implementation

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary

Fields inherited from class AbstractAction
DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY

Constructor Summary
`DefaultAction()`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`Closure` | `getClosure()`
`void` | `setClosure(Closure closure)`

Methods inherited from class AbstractAction
getValue, putValue, setEnabled, isEnabled, getKeys, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, actionPerformed

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DefaultAction

    DefaultAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

### getClosure

    public Closure getClosure()

### setClosure

    public void setClosure(Closure closure)

Copyright © 2003-2009 The Codehaus. All rights reserved.